Subject: bug#42765: 26.3; project-find-regexp broken in Emacs 26.3

From: [email-masked] (Philip K.)
Date: Mon, 10 Aug 2020 12:46:36 +0200

Dmitry Gutov <[email-masked]> writes:

>> I managed to fix this by installing a newer Xref version from ELPA, but
>> I think this situation should be handled more gracefully. Is there a
>> reason that project.el doesn't depend on the newer Xref version?
>
> Unfortunately, that would make project.el and xref recursively depend on 
> each other. And apparently that would be a problem: 
> https://lists.gnu.org/archive/html/emacs-devel/2020-05/msg01615.html
>
> I'm not sure what's the best way to fix this.

Couldln't Xref be replaced with some other listing interface, like
what occur uses?